package com.dayou.service;

import com.dayou.dto.PersonalFacePriceQueryDTO;
import com.dayou.vo.DayouPersonalPriceVO;
import com.dayou.vo.ExternalFacePriceVO;

import java.util.List;

public interface IPersonalFacePriceService {

    /**
     * 大友个贷评估价 地址
     * @param facePriceQuery
     * @return
     */
    List<DayouPersonalPriceVO> personalPriceByLocation(PersonalFacePriceQueryDTO facePriceQuery);

    /**
     * 外部数据价格 地址
     * @param facePriceQuery
     * @return
     */
    ExternalFacePriceVO externalPriceByLocation(PersonalFacePriceQueryDTO facePriceQuery);

    /**
     * 大友个贷评估价 小区名字
     * @param facePriceQuery
     * @return
     */
    List<DayouPersonalPriceVO> personalPriceByCommunity(PersonalFacePriceQueryDTO facePriceQuery);

    /**
     * 外部数据价格 小区名字
     * @param facePriceQuery
     * @return
     */
    ExternalFacePriceVO externalPersonalPriceByCommunity(PersonalFacePriceQueryDTO facePriceQuery);
}
